Subject: Re: bug#64908: 29.1; svg parse failure

From: David Ponce <[email-masked]>
Date: Thu, 3 Aug 2023 21:16:35 +0200

Hello,

In case it could help, using emacs from master (see details at end
below), with librsvg2-2.56.0-1.fc38.x86_64 I can insert-image
dir-src-open.svg and dir-public-open.svg in the *scratch-buffer*
without issue (see Screenshot1).

However, the same failed using librsvg2-2.56.3-1.fc38.x86_64 (see
Screenshot2).

I did test also with some KDE breeze icons.

No issue with librsvg2-2.56.0-1.fc38.x86_64.

With librsvg2-2.56.3-1.fc38.x86_64 some icons works, some not (see an
example in Screenshot3):

/usr/share/icons/breeze/actions/22/go-next.svg doesn't work:

<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 22 22">
   <defs id="defs3051">
     <style type="text/css" id="current-color-scheme">
       .ColorScheme-Text {
         color:#232629;
       }
       </style>
   </defs>
  <path
     style="fill:currentColor;fill-opacity:1;stroke:none"
	d="m7.707031 3l-.707031.707031 6.125 6.125 1.167969 1.167969-1.167969 1.167969-6.125 6.125.707031.707031 6.125-6.125 1.875-1.875-1.875-1.875-6.125-6.125"
     class="ColorScheme-Text"
     />
</svg>

/usr/share/icons/breeze/actions/22/go-next.svg works:

<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24">
   <defs id="defs3051">
     <style type="text/css" id="current-color-scheme">
       .ColorScheme-Text {
         color:#232629;
       }
       </style>
   </defs>
   <g transform="translate(1,1)">
     <path style="fill:currentColor;fill-opacity:1;stroke:none" d="m7.707031 3l-.707031.707031 6.125 6.125 1.167969 1.167969-1.167969 1.167969-6.125 6.125.707031.707031 6.125-6.125 1.875-1.875-1.875-1.875-6.125-6.125" class="ColorScheme-Text"/>
   </g>
</svg>

As far as I can see, other applications (Gwenview, Geeqie, Firefox) don't have
problem to display the same images with librsvg2-2.56.3-1.fc38.x86_64 installed.

Hope it will help.
Regards

In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
  3.24.38, cairo version 1.17.8) of 2023-07-31 built on kilauea
Repository revision: 18b176280db58932f7a321a1c7af3863b3e9f67a
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12014000
System Description: Fedora Linux 38 (KDE Plasma)

Configured using:
  'configure --with-x-toolkit=gtk3
  --with-native-compilation=no
  PKG_CONFIG_PATH=/usr/local/lib/pkgconfig:/usr/lib/pkgconfig'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON
LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY
INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER WEBP X11 XDBE XIM XINPUT2 XPM GTK3 ZLIB

Important settings:
   value of $LC_TIME: fr_FR.utf8
   value of $LANG: fr_FR.UTF-8
   locale-coding-system: utf-8-unix